petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESComputeNGS

Calls the Gauss-Seidel function that has been set with SNESSetNGS().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESComputeNGS(SNES snes,Vec b,Vec x)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| x | - input vector
| b | - rhs vector

### Output Parameter

x -new solution vector

### Notes

SNESComputeNGS() is typically used within composed nonlinear solver implementations, so most users would not generally call this routine themselves.

### Keywords

SNES, nonlinear, compute, function

### See Also

SNESSetNGS(), SNESComputeFunction()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages